CombinedTerm (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.index.sasi.utils

## Class CombinedTerm

- java.lang.Object
- - org.apache.cassandra.index.sasi.utils.CombinedTerm

- All Implemented Interfaces:
    java.lang.Comparable<CombinedValue<OnDiskIndex.DataTerm>>, CombinedValue<OnDiskIndex.DataTerm>

      public class CombinedTerm
      extends java.lang.Object
      implements CombinedValue<OnDiskIndex.DataTerm>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CombinedTerm(AbstractType<?> comparator, OnDiskIndex.DataTerm term)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(CombinedValue<OnDiskIndex.DataTerm> o)`
    `OnDiskIndex.DataTerm` | `get()`
    `java.nio.ByteBuffer` | `getTerm()`
    `RangeIterator<java.lang.Long,Token>` | `getTokenIterator()`
    `TokenTreeBuilder` | `getTokenTreeBuilder()`
    `boolean` | `isPartial()`
    `void` | `merge(CombinedValue<OnDiskIndex.DataTerm> other)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CombinedTerm

          public CombinedTerm(AbstractType<?> comparator,
                              OnDiskIndex.DataTerm term)

  - ### Method Detail

    - #### getTerm

          public java.nio.ByteBuffer getTerm()

    - #### isPartial

          public boolean isPartial()

    - #### getTokenIterator

          public RangeIterator<java.lang.Long,Token> getTokenIterator()

    - #### getTokenTreeBuilder

          public TokenTreeBuilder getTokenTreeBuilder()

    - #### merge

          public void merge(CombinedValue<OnDiskIndex.DataTerm> other)

      Specified by:
        `merge` in interface `CombinedValue<OnDiskIndex.DataTerm>`

    - #### get

          public OnDiskIndex.DataTerm get()

      Specified by:
        `get` in interface `CombinedValue<OnDiskIndex.DataTerm>`

    - #### compareTo

          public int compareTo(CombinedValue<OnDiskIndex.DataTerm> o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<CombinedValue<OnDiskIndex.DataTerm>>`

Copyright © 2018 The Apache Software Foundation